Bug 149913 - SVG: add support for Orient auto-start-reverse in markers
Summary: SVG: add support for Orient auto-start-reverse in markers
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.5.0 target:7.4.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-08 09:25 UTC by Xisco Faulí
Modified: 2022-07-28 05:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (748 bytes, image/svg+xml)
2022-07-08 09:25 UTC, Xisco Faulí
Details
Comparison Firefox and LibreOffice 7.5 Master (32.16 KB, image/png)
2022-07-08 09:26 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-07-08 09:25:55 UTC
Created attachment 181167 [details]
sample file

I found this issue after my patch https://cgit.freedesktop.org/libreoffice/core/commit/?id=911ac42485b690df5cbbff6e3c04b111c1723aca

Steps to reproduce:
1. Open attached document

-> See comparison

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 11071d95f4f3cbe578c3393729c42b7cce011b45
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-07-08 09:26:24 UTC
Created attachment 181168 [details]
Comparison Firefox and LibreOffice 7.5 Master
Comment 2 Commit Notification 2022-07-08 11:34:53 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/6dd0074e5e42467a7f82e363f67ca95d04466fa9

tdf#149913: add support for auto-start-reverse

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-07-11 23:13:48 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/15f73fab655cc3da29fc19a3951843000719483a

tdf#149913: add support for auto-start-reverse

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2022-07-28 05:00:11 UTC
It's ok now
Verified with
Version: 7.4.0.1.0+ / LibreOffice Community
Build ID: 4b4773183e92be941b24fffdfd16a554c6a35439
CPU threads: 16; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded